summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexandre Duret-Lutz <adl@gnu.org>2003-08-24 22:37:42 +0000
committerAlexandre Duret-Lutz <adl@gnu.org>2003-08-24 22:37:42 +0000
commit82d8ca54d45639003d1fe09c15b8a12a116e5150 (patch)
treeb5d5616de8d9cc23f5b6a9d3ffd8a71765bf725f
parentd975c1f8f862453220578933aedbd169b0b67f0a (diff)
downloadautomake-82d8ca54d45639003d1fe09c15b8a12a116e5150.tar.gz
For Debian Bug #206299:
* automake.in (parse_arguments): Ignore --no-force. * automake.texi (Invoking Automake): Document this. * tests/distcom6.test: New file. Report from Scott James Remnant. * tests/Makefile.am (TESTS): Add distcom6.test.
-rw-r--r--ChangeLog8
-rw-r--r--THANKS1
-rwxr-xr-xautomake.in4
-rw-r--r--automake.texi3
-rw-r--r--stamp-vti4
-rw-r--r--tests/Makefile.am1
-rw-r--r--tests/Makefile.in1
-rwxr-xr-xtests/distcom6.test74
-rw-r--r--version.texi4
9 files changed, 95 insertions, 5 deletions
diff --git a/ChangeLog b/ChangeLog
index d879de3f4..aa74b63b6 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,11 @@
+2003-08-25 Alexandre Duret-Lutz <adl@gnu.org>
+
+ For Debian Bug #206299:
+ * automake.in (parse_arguments): Ignore --no-force.
+ * automake.texi (Invoking Automake): Document this.
+ * tests/distcom6.test: New file. Report from Scott James Remnant.
+ * tests/Makefile.am (TESTS): Add distcom6.test.
+
2003-08-13 Alexandre Duret-Lutz <adl@gnu.org>
Fix for PR automake/399:
diff --git a/THANKS b/THANKS
index 554801ff3..1d79a966f 100644
--- a/THANKS
+++ b/THANKS
@@ -197,6 +197,7 @@ Rusty Ballinger rusty@rlyeh.engr.sgi.com
Ryan T. Sammartino ryants@shaw.ca
Sam Hocevar sam@zoy.org
Sander Niemeijer niemeijer@science-and-technology.nl
+Scott James Remnant scott@netsplit.com
Sergey Vlasov vsu@mivlgu.murom.ru
Seth Alves alves@hungry.com
Shuhei Amakawa sa264@cam.ac.uk
diff --git a/automake.in b/automake.in
index 706440e38..40f6edff1 100755
--- a/automake.in
+++ b/automake.in
@@ -1490,7 +1490,9 @@ sub parse_arguments ()
'foreign' => sub { &set_strictness ('foreign'); },
'include-deps' => sub { $cmdline_use_dependencies = 1; },
'i|ignore-deps' => sub { $cmdline_use_dependencies = 0; },
- 'no-force' => sub { $force_generation = 0; },
+ # The current --no-force implementation is bugged, hence the
+ # option is ignored. It will be fixed in Automake 1.8.
+ 'no-force' => sub { },
'f|force-missing' => \$force_missing,
'o|output-dir:s' => \$output_directory,
'a|add-missing' => \$add_missing,
diff --git a/automake.texi b/automake.texi
index 6bd4954a3..b0901b4a4 100644
--- a/automake.texi
+++ b/automake.texi
@@ -1019,6 +1019,9 @@ Ordinarily @code{automake} creates all @file{Makefile.in}s mentioned in
@file{Makefile.in}s which are out of date with respect to one of their
dependents.
+Due to a bug in its implementation, this option is currently ignored.
+It will be fixed in Automake 1.8.
+
@item -o @var{dir}
@itemx --output-dir=@var{dir}
@opindex -o
diff --git a/stamp-vti b/stamp-vti
index 74ba54727..e62c9959f 100644
--- a/stamp-vti
+++ b/stamp-vti
@@ -1,4 +1,4 @@
-@set UPDATED 31 July 2003
-@set UPDATED-MONTH July 2003
+@set UPDATED 25 August 2003
+@set UPDATED-MONTH August 2003
@set EDITION 1.7.6a
@set VERSION 1.7.6a
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 05dfbffe5..003345b32 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -161,6 +161,7 @@ discover.test \
distcom.test \
distcom2.test \
distcom3.test \
+distcom6.test \
distdir.test \
distname.test \
dollar.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index adab20621..b6c9b637d 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -255,6 +255,7 @@ discover.test \
distcom.test \
distcom2.test \
distcom3.test \
+distcom6.test \
distdir.test \
distname.test \
dollar.test \
diff --git a/tests/distcom6.test b/tests/distcom6.test
new file mode 100755
index 000000000..88c3e8666
--- /dev/null
+++ b/tests/distcom6.test
@@ -0,0 +1,74 @@
+#! /bin/sh
+# Copyright (C) 2003 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Test to make sure that depcomp and compile required in subdirectories
+# are added to the top-level DIST_COMMON even with --no-force.
+# This is similar to distcom2.test, but with --no-force added.
+# Report from Scott James Remnant (Debian #206299).
+
+. ./defs || exit 1
+
+set -e
+
+cat >> configure.in << 'END'
+AC_PROG_CC
+AC_CONFIG_FILES([subdir/Makefile])
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+SUBDIRS = subdir
+END
+
+mkdir subdir
+: > subdir/foo.c
+
+cat > subdir/Makefile.am << 'END'
+noinst_PROGRAMS = foo
+foo_SOURCES = foo.c
+foo_CFLAGS = -DBAR
+END
+
+rm -f compile depcomp
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE --add-missing --no-force
+
+test -f compile
+test -f depcomp
+
+sed -n -e '/^DIST_COMMON =.*\\$/ {
+ :loop
+ p
+ n
+ /\\$/ b loop
+ p
+ n
+ }' -e '/^DIST_COMMON =/ p' Makefile.in | grep compile
+
+sed -n -e '/^DIST_COMMON =.*\\$/ {
+ :loop
+ p
+ n
+ /\\$/ b loop
+ p
+ n
+ }' -e '/^DIST_COMMON =/ p' Makefile.in | grep depcomp
diff --git a/version.texi b/version.texi
index 74ba54727..e62c9959f 100644
--- a/version.texi
+++ b/version.texi
@@ -1,4 +1,4 @@
-@set UPDATED 31 July 2003
-@set UPDATED-MONTH July 2003
+@set UPDATED 25 August 2003
+@set UPDATED-MONTH August 2003
@set EDITION 1.7.6a
@set VERSION 1.7.6a